Bug 1073128 - Fedora 20 does not complete boot to login
Fedora 20 does not complete boot to login
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-05 15:30 EST by Tad Bilby
Modified: 2015-06-29 15:17 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 15:17:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tad Bilby 2014-03-05 15:30:26 EST
Description of problem:

Fedora 20 does not complete boot to login.  On console: (1 of 5) a start job is running for firewalld - dynamic firewall daemon
System hangs at this point. Cannot open a virtual console via ctrl-alt-F2


Version-Release number of selected component (if applicable):

systemd-208-14.fc20.x86_64
3.13.4-200.fc20.x86_64 #1 SMP Thu Feb 20 23:00:47 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

How reproducible: boot the system, approximately 50% of the time it will hang


Steps to Reproduce:
1. boot the system from a cold start
2.
3.

Actual results: system hangs


Expected results: proceed to login screen


Additional info: my journal folder is quite large, this is a system upgraded via fedup since FC17.
/var/log/journal
[root journal]# du -sh
851M
The boot which hangs was not in journal, below is the last boot which was successful.
[root ~]#  systemd-analyze blame
         12.873s plymouth-quit-wait.service
Comment 1 M Frost 2014-03-16 11:50:30 EDT
Bug 967521 reported identical symptoms. This was supposedly fixed using systemd-208-6.fc20 which was submitted as an update for Fedora 20.

The same symptoms have reappeared and renamed /var/log/journal as /var/log/journal.org enables boot to complete.

This appears to be a systemd bug/feature, not an error with plymouth.
Comment 2 Kayvan Sylvan 2014-03-16 13:56:25 EDT
I can verify this on a system updated from Fedora 19 to Fedora 20 using fedup.
Comment 3 Tad Bilby 2014-03-16 14:06:58 EDT
after renaming /var/log/journal and creating a new journal directory you must make sure the attributes are correct or updates to systemd fail.

# getfacl --access /var/log/journal.old | setfacl -d -M- /var/log/journal
Comment 4 Kayvan Sylvan 2014-03-16 15:29:14 EDT
After the getfacl/setfacl, I also did:

# chgrp systemd-journal /var/log/journal
Comment 5 Tad Bilby 2014-05-23 20:37:42 EDT
Another freeze before Plymouth/GDM starts (could not login or switch to an alternate VT). (see Bug 967521)  The journal gets quite full of the same messages "Unlocked '/var/tmp/abrt/xorg". (see Bug 1048384)

# cat /proc/version
Linux version 3.14.4-200.fc20.x86_64 (mockbuild@bkernel02) (gcc version 4.8.2 20131212 (Red Hat 4.8.2-7) (GCC) ) #1 SMP Tue May 13 13:51:08 UTC 2014

# journalctl --list-boots
-1 93ea74ad24ad47b9a1d8c17431628d22 Fri 2014-05-23 16:32:40 EDT—Fri 2014-05-23 17:44:28 EDT  # this boot failed, I walked away for about an hour
0 de732c84cc094df199f7e0261edbb581 Fri 2014-05-23 17:45:08 EDT—Fri 2014-05-23 20:21:29 EDT # this boot was OK

# systemd-analyze blame
          6.814s libvirtd.service
          5.764s plymouth-quit-wait.service
          4.803s NetworkManager.service
          3.402s accounts-daemon.service
          2.706s polkit.service
          2.654s systemd-fsck@dev-sda6.service
          1.787s lvm2-monitor.service
          1.658s dnf-makecache.service
          1.443s systemd-binfmt.service

# du -sh /var/log/journal
473M	/var/log/journal

# journalctl -b -1
May 23 16:32:57 PC kernel: SELinux: initialized (dev sda8, type ext4), uses xattr
May 23 16:32:59 PC kernel: SELinux: initialized (dev sda9, type btrfs), uses xattr
May 23 16:32:59 PC systemd[1]: Mounted /nt.
May 23 16:32:59 PC systemd[1]: Starting Local File Systems.
May 23 16:32:59 PC systemd[1]: Reached target Local File Systems.
May 23 16:32:59 PC systemd[1]: Started Relabel all filesystems, if necessary.
May 23 16:32:59 PC systemd[1]: Started Reconfigure the system on administrator request.
May 23 16:32:59 PC systemd[1]: Started Mark the need to relabel after reboot.
May 23 16:32:59 PC systemd[1]: Starting Trigger Flushing of Journal to Persistent Storage...
May 23 16:32:59 PC systemd[1]: Starting Create Volatile Files and Directories...
May 23 16:32:59 PC systemd[1]: Starting Tell Plymouth To Write Out Runtime Data...
May 23 16:32:59 PC systemd[1]: Starting Security Auditing Service...
May 23 16:32:59 PC systemd-journal[611]: Permanent journal is using 400.0M (max allowed 4.0G, trying to leave 4.0G free of 33.
May 23 16:33:21 PC systemd-journal[611]: Time spent on flushing to /var is 21.931449s for 1434 entries.
May 23 16:32:59 PC systemd[1]: Started Trigger Flushing of Journal to Persistent Storage.
May 23 16:32:59 PC systemd[1]: Started Security Auditing Service.
May 23 16:32:59 PC systemd[1]: Started Tell Plymouth To Write Out Runtime Data.
May 23 16:32:59 PC systemd[1]: Started Create Volatile Files and Directories.
May 23 16:32:59 PC systemd[1]: Starting Update UTMP about System Reboot/Shutdown...
May 23 16:32:59 PC systemd[1]: Started Update UTMP about System Reboot/Shutdown.
May 23 16:32:59 PC systemd[1]: Starting System Initialization.
May 23 16:32:59 PC systemd[1]: Reached target System Initialization.
May 23 16:32:59 PC systemd[1]: Starting Daily Cleanup of Temporary Directories.
May 23 16:32:59 PC systemd[1]: Started Daily Cleanup of Temporary Directories.
May 23 16:32:59 PC systemd[1]: Starting dnf makecache timer.
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC auditctl[983]: No rules
May 23 16:33:26 PC auditctl[983]: AUDIT_STATUS: enabled=0 flag=1 pid=0 rate_limit=0 backlog_limit=320 lost=0 backlog=0
May 23 16:32:59 PC auditd[982]: Started dispatcher: /sbin/audispd pid: 993
May 23 16:32:59 PC auditd[982]: Init complete, auditd 2.3.6 listening for events (startup state enable)
May 23 16:32:59 PC alsactl[998]: alsactl 1.0.27.2 daemon started
May 23 16:33:00 PC avahi-daemon[1016]: Found user 'avahi' (UID 70) and group 'avahi' (GID 70).
May 23 16:33:00 PC avahi-daemon[1016]: Successfully dropped root privileges.
May 23 16:33:00 PC avahi-daemon[1016]: avahi-daemon 0.6.31 starting up.
May 23 16:33:01 PC audispd[993]: priority_boost_parser called with: 4
May 23 16:33:01 PC audispd[993]: max_restarts_parser called with: 10
May 23 16:33:03 PC audispd[993]: audispd initialized with q_depth=150 and 1 active plugins
May 23 16:33:03 PC crond[1028]: (CRON) INFO (RANDOM_DELAY will be scaled with factor 82% if used.)
May 23 16:33:03 PC avahi-daemon[1016]: Successfully called chroot().
May 23 16:33:26 PC avahi-daemon[1016]: Successfully dropped remaining capabilities.
<snip>
May 23 16:33:26 PC dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.login1' unit='dbus-org.f
May 23 16:33:26 PC crond[1028]: (CRON) INFO (running with inotify support)
May 23 16:33:26 PC avahi-daemon[1016]: Loading service file /services/udisks.service.
May 23 16:33:26 PC dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.ColorManager' unit='colo
May 23 16:33:26 PC avahi-daemon[1016]: Network interface enumeration completed.
May 23 16:33:26 PC avahi-daemon[1016]: Registering HINFO record with values 'X86_64'/'LINUX'.
May 23 16:33:26 PC avahi-daemon[1016]: Server startup complete. Host name is linux986.local. Local service cookie is 421878719
May 23 16:33:26 PC avahi-daemon[1016]: Service "linux986" (/services/udisks.service) successfully established.
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: Missing file: time
May 23 16:33:26 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' file)
May 23 16:33:26 PC abrtd[1035]: '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1' is not a problem directory
May 23 16:33:26 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:26 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC kernel: audit: type=1305 audit(1400877179.646:4): audit_pid=982 old=0 auid=4294967295 ses=4294967295 subj=s
May 23 16:33:27 PC kernel: nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
May 23 16:33:27 PC kernel: ip6_tables: (C) 2000-2006 Netfilter Core Team
May 23 16:33:27 PC kernel: Ebtables v2.0 registered
May 23 16:33:27 PC kernel: Bridge firewalling registered
May 23 16:33:27 PC systemd[1]: Failed to register to bus: Did not receive a reply. Possible causes include: the remote applica
May 23 16:33:27 PC dbus-daemon[1020]: dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.login
May 23 16:33:27 PC dbus-daemon[1020]: dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Color
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC vboxdrv[1032]: Starting VirtualBox kernel modules [FAILED]
May 23 16:33:27 PC vboxdrv[1032]: (modprobe vboxdrv failed. Please use 'dmesg' to find out why)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860' is not a problem directory
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2013-08-01-19:44:25-1940/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2013-08-01-19:44:25-1940/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2013-08-01-19:44:25-1940/type': No such file or directory
May 23 16:33:27 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:27 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2013-08-01-19:44:25-1940/.lock' (no or corrupted 'type' file)
May 23 16:33:27 PC abrtd[1035]: Can't open file '/var/tmp/abrt/ccpp-2013-08-01-19:44:25-1940/type': No such file or directory
<snip><the above 5 lines repeat>
May 23 16:33:28 PC abrtd[1035]: Can't open file '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/type': No such file or director
May 23 16:33:28 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:28 PC abrtd[1035]: Unlocked '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/.lock' (no or corrupted 'type' file)
May 23 16:33:28 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 16:33:28 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 16:33:28 PC dbus[1020]: [system] Successfully activated service 'org.freedesktop.login1'
May 23 16:33:28 PC dbus-daemon[1020]: dbus[1020]: [system] Successfully activated service 'org.freedesktop.login1'
May 23 16:33:28 PC systemd-logind[1019]: Failed to enable subscription: Activation of org.freedesktop.systemd1 timed out
May 23 16:33:28 PC systemd-logind[1019]: New seat seat0.
May 23 16:33:28 PC systemd-logind[1019]: Watching system buttons on /dev/input/event1 (Power Button)
May 23 16:33:28 PC systemd-logind[1019]: Watching system buttons on /dev/input/event0 (Sleep Button)
May 23 16:33:28 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:33:28 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=1
May 23 16:33:28 PC abrtd[1035]: Can't open file '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/type': No such file or director
May 23 16:33:28 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:28 PC abrtd[1035]: Unlocked '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/.lock' (no or corrupted 'type' file)
May 23 16:33:28 PC dbus-daemon[1020]: dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Accou
May 23 16:33:28 PC dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Accounts' unit='accounts
May 23 16:33:28 PC abrtd[1035]: Can't open file '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/type': No such file or director
May 23 16:33:28 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:28 PC abrtd[1035]: Unlocked '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/.lock' (no or corrupted 'type' file)
May 23 16:33:28 PC abrtd[1035]: Can't open file '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/type': No such file or director
May 23 16:33:28 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:28 PC abrtd[1035]: Unlocked '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/.lock' (no or corrupted 'type' file)
May 23 16:33:28 PC abrtd[1035]: Can't open file '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/type': No such file or director
May 23 16:33:28 PC abrtd[1035]: Missing or empty file: type
May 23 16:33:28 PC abrtd[1035]: Unlocked '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1/.lock' (no or corrupted 'type' file)
May 23 16:33:28 PC abrtd[1035]: '/var/tmp/abrt/xorg-2012-09-22-18:11:23-4854-1' is not a problem directory
May 23 16:33:28 PC abrtd[1035]: Missing file: time
May 23 16:33:28 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2013-01-17-21:55:29-1234/.lock' (no or corrupted 'time' file)
May 23 16:33:28 PC abrtd[1035]: Missing file: time
May 23 16:33:28 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2013-01-17-21:55:29-1234/.lock' (no or corrupted 'time' file)
May 23 16:33:29 PC abrtd[1035]: Missing file: time
May 23 16:33:29 PC abrtd[1035]: Unlocked '/var/tmp/abrt/ccpp-2013-01-17-21:55:29-1234/.lock' (no or corrupted 'time' file)
<snip><the above 5 lines repeat>
May 23 16:33:32 PC abrtd[1035]: Missing file: time
May 23 16:33:32 PC abrtd[1035]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:36-2697-1/.lock' (no or corrupted 'time' file)
May 23 16:33:32 PC abrtd[1035]: '/var/tmp/abrt/oops-2013-01-17-21:55:36-2697-1' is not a problem directory
May 23 16:33:32 PC abrtd[1035]: Init complete, entering main loop
May 23 16:33:51 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.ColorManager': timed ou
May 23 16:33:51 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.ColorManager': timed out
May 23 16:33:51 PC dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.ColorManager' unit='colo
May 23 16:33:51 PC dbus-daemon[1020]: dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Color
May 23 16:33:53 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.Accounts': timed out
May 23 16:33:53 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.Accounts': timed out
May 23 16:33:53 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 16:33:53 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 16:33:53 PC gdm[1031]: Failed to contact accountsservice: Error calling StartServiceByName for org.freedesktop.Accounts
May 23 16:33:53 PC kernel: traps: gdm-simple-slav[1429] trap int3 ip:7fbb0ab3e4e9 sp:7fff2a10fac0 error:0
May 23 16:33:54 PC abrt-hook-ccpp[1438]: Saved core dump of pid 1429 (/usr/libexec/gdm-simple-slave) to /var/tmp/abrt/ccpp-201
May 23 16:33:54 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:33:54 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=1
May 23 16:33:54 PC dbus-daemon[1020]: dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Accou
May 23 16:33:54 PC dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Accounts' unit='accounts
May 23 16:33:54 PC gdm[1031]: Child process 1447 was already dead.
May 23 16:33:54 PC systemd[1]: Received SIGRTMIN+21 from PID 369 (plymouthd).
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GdmDisplay: display lasted 0.142661 seconds
May 23 16:33:54 PC systemd[1]: Started Wait for Plymouth Boot Screen to Quit.
May 23 16:33:54 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:33:54 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=1
May 23 16:33:54 PC gdm[1031]: Child process 1456 was already dead.
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GdmDisplay: display lasted 0.060423 seconds
May 23 16:33:54 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:33:54 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=1
May 23 16:33:54 PC gdm[1031]: Child process 1462 was already dead.
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GdmDisplay: display lasted 0.035696 seconds
May 23 16:33:54 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:33:54 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=1
May 23 16:33:54 PC gdm[1031]: Child process 1469 was already dead.
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GdmDisplay: display lasted 0.034741 seconds
May 23 16:33:54 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:33:54 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=1
May 23 16:33:54 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.3" (uid=0 pid=1
May 23 16:33:54 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:33:54 PC gdm[1031]: Child process 1475 was already dead.
<snip>
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GdmDisplay: display lasted 0.034803 seconds
May 23 16:33:54 PC gdm[1031]: Child process 1481 was already dead.
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
May 23 16:33:54 PC gdm[1031]: Child process 1476 was already dead.
May 23 16:33:54 PC gdm[1031]: Unable to kill slave process
May 23 16:33:54 PC gdm[1031]: Child process 1476 was already dead.
May 23 16:33:54 PC gdm[1031]: Unable to kill slave process
May 23 16:33:54 PC gdm[1031]: GdmDisplay: display lasted 0.033841 seconds
May 23 16:33:54 PC gdm[1031]: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for err
May 23 16:33:54 PC abrt-server[1439]: Missing file: time
May 23 16:33:54 PC abrt-server[1439]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' f
May 23 16:33:54 PC abrt-server[1439]: Missing file: time
<snip>
May 23 16:34:55 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 16:34:55 PC dbus[1020]: [system] Successfully activated service 'org.freedesktop.login1'
May 23 16:34:55 PC systemd-logind[1603]: New seat seat0.
May 23 16:34:55 PC systemd-logind[1603]: Watching system buttons on /dev/input/event1 (Power Button)
May 23 16:34:55 PC systemd-logind[1603]: Watching system buttons on /dev/input/event0 (Sleep Button)
May 23 16:34:55 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:34:55 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.16" (uid=0 pid=
May 23 16:34:55 PC dbus-daemon[1020]: dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Accou
May 23 16:34:55 PC dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Accounts' unit='accounts
May 23 16:34:55 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.PolicyKit1': timed out
May 23 16:34:55 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.PolicyKit1': timed out
May 23 16:34:55 PC NetworkManager[1628]: (nm-manager-auth.c:102):pk_authority_get: runtime check failed: (authority)
May 23 16:34:55 PC NetworkManager[1628]: ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
May 23 16:34:55 PC NetworkManager[1628]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please u
May 23 16:34:55 PC NetworkManager[1628]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please us
May 23 16:34:55 PC NetworkManager[1628]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
May 23 16:34:55 PC NetworkManager[1628]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_CBM128 ...
May 23 16:34:55 PC NetworkManager[1628]: ifcfg-rh:     read connection 'Auto CBM128'
May 23 16:34:55 PC NetworkManager[1628]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-em1 ...
May 23 16:34:55 PC NetworkManager[1628]: ifcfg-rh:     read connection 'System em1'
May 23 16:34:55 PC NetworkManager[1628]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-em2 ...
May 23 16:34:55 PC NetworkManager[1628]: ifcfg-rh:     read connection 'System em2'
May 23 16:34:56 PC dbus-daemon[1020]: dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Polic
May 23 16:34:56 PC dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.PolicyKit1' unit='polkit
May 23 16:35:20 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.Accounts': timed out
May 23 16:35:20 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 16:35:20 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.Accounts': timed out
May 23 16:35:20 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 16:35:20 PC gdm[1620]: Failed to contact accountsservice: Error calling StartServiceByName for org.freedesktop.Accounts
May 23 16:35:20 PC kernel: traps: gdm-simple-slav[1633] trap int3 ip:7fde019774e9 sp:7fff9cbe0640 error:0
May 23 16:35:20 PC abrt-hook-ccpp[1649]: Saved core dump of pid 1633 (/usr/libexec/gdm-simple-slave) to /var/tmp/abrt/ccpp-201
May 23 16:35:20 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:35:20 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.16" (uid=0 pid=
May 23 16:35:20 PC dbus-daemon[1020]: dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Accou
May 23 16:35:20 PC dbus[1020]: [system] Activating systemd to hand-off: service name='org.freedesktop.Accounts' unit='accounts
May 23 16:35:20 PC gdm[1620]: Child process 1657 was already dead.
May 23 16:35:20 PC gdm[1620]: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
May 23 16:35:20 PC gdm[1620]: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
May 23 16:35:20 PC gdm[1620]: GdmDisplay: display lasted 0.039776 seconds
May 23 16:35:20 PC dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=
May 23 16:35:20 PC dbus[1020]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.16" (uid=0 pid=
May 23 16:35:20 PC abrt-server[1651]: Missing file: time
May 23 16:35:20 PC abrt-server[1651]: Unlocked '/var/tmp/abrt/oops-2013-01-17-21:55:22-2609-1/.lock' (no or corrupted 'time' f
May 23 16:35:20 PC gdm[1620]: Child process 1664 was already dead.
May 23 16:35:20 PC gdm[1620]: GLib-GObject: g_object_ref: assertion 'object->ref_count > 0' failed
May 23 16:35:20 PC gdm[1620]: GLib-GObject: g_object_unref: assertion 'object->ref_count > 0' failed
<snip>
May 23 17:44:18 PC abrt-server[7371]: Can't open file '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/type': No such file or direc
May 23 17:44:18 PC abrt-server[7371]: Missing or empty file: type
May 23 17:44:18 PC abrt-server[7371]: Unlocked '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860/.lock' (no or corrupted 'type' file
May 23 17:44:18 PC abrt-server[7371]: '/var/tmp/abrt/ccpp-2012-09-21-22:08:09-860' is not a problem directory
May 23 17:44:18 PC abrt-server[7371]: Duplicate: core backtrace
May 23 17:44:18 PC abrt-server[7371]: DUP_OF_DIR: /var/tmp/abrt/ccpp-2014-03-05-14:41:34-1115
May 23 17:44:18 PC abrt-server[7371]: Deleting problem directory ccpp-2014-05-23-17:43:56-7361 (dup of ccpp-2014-03-05-14:41:3
May 23 17:44:18 PC dbus-daemon[1020]: dbus[1020]: [system] Activating service name='org.freedesktop.problems' (using servicehe
May 23 17:44:18 PC dbus[1020]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
May 23 17:44:18 PC dbus-daemon[1020]: dbus[1020]: [system] Successfully activated service 'org.freedesktop.problems'
May 23 17:44:18 PC dbus[1020]: [system] Successfully activated service 'org.freedesktop.problems'
May 23 17:44:21 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.Accounts': timed out
May 23 17:44:21 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.Accounts': timed out
May 23 17:44:21 PC dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 17:44:21 PC dbus-daemon[1020]: dbus[1020]: [system] Failed to activate service 'org.freedesktop.systemd1': timed out
May 23 17:44:28 PC systemd-logind[7349]: Power key pressed.
May 23 17:44:28 PC systemd-logind[7349]: Powering Off...
May 23 17:44:28 PC systemd-logind[7349]: System is powering down.
Comment 6 Fdor 2014-06-27 13:36:51 EDT
Same happened to my fedora 20 (fedora 19 upgraded). I just renamed:

    mv /var/log/journal /var/log/journal_DELETE_ME

then rebooted and the problem disappeared.

Recently I have updated the systemd rpm, the "/var/log/journal" directory has been created again (I think it is created the systemd rpm), and the first reboot was slow again (I had to press the "reset" button on my computer).  Then the reboot was fast again. 

But I think the problem will probably appear again in the future, so I have investigated a bit:

- The owner of /var/log/journal is systemd rpm:

    # rpm -qf /var/log/journal
    systemd-208-19.fc20.i686

- The "systemd-journald" service seems to be related to the /var/log/journal directory:

    # rpm -ql systemd-208-19.fc20.i686 | grep -i journal
    /etc/systemd/journald.conf                              <<<<<<< config
    /usr/bin/journalctl
    /usr/lib/systemd/system/sockets.target.wants/systemd-journald.socket
    /usr/lib/systemd/system/sysinit.target.wants/systemd-journal-flush.service
    /usr/lib/systemd/system/sysinit.target.wants/systemd-journald.service
    /usr/lib/systemd/system/systemd-journal-flush.service
    /usr/lib/systemd/system/systemd-journald.service        <<<<<<< service
    /usr/lib/systemd/system/systemd-journald.socket
    /usr/lib/systemd/systemd-journald
    /usr/share/bash-completion/completions/journalctl
    /usr/share/man/man1/journalctl.1.gz
    /usr/share/man/man5/journald.conf.5.gz
    /usr/share/man/man7/systemd.journal-fields.7.gz
    /usr/share/man/man8/systemd-journald.8.gz
    /usr/share/man/man8/systemd-journald.service.8.gz       <<<<<<< man page
    /usr/share/man/man8/systemd-journald.socket.8.gz
    /usr/share/zsh/site-functions/_journalctl
    /var/log/journal

- In "systemd-journald.service" man page we can read what that service is:

       systemd-journald is a system service that collects and stores logging 
       data. It creates and maintains structured, indexed journals based on 
       logging information that is received from the kernel, from user 
       processes via the libc syslog(3) call, from standard input and 
       standard error of system services or via its native API. It will 
       implicitly collect numerous metadata fields for each log messages in 
       a secure and unfakeable way. See systemd.journal-fields(7) for more 
       information about the collected metadata.

  and refers to "journald.conf" man page for config. 

- In "journald.conf" man page we can read that the config file is /etc/systemd/journald.conf , and the first option ("Storage=") controls how to manage the /var/log/journal directory:

       Storage=
           Controls where to store journal data. One of "volatile", 
           "persistent", "auto" and "none". If "volatile", journal log data 
           will be stored only in memory, i.e. below the /run/log/journal 
           hierarchy (which is created if needed). If "persistent", data will 
           be stored preferably on disk, i.e. below the /var/log/journal 
           hierarchy (which is created if needed), with a fallback to 
           /run/log/journal (which is created if needed), during early boot 
           and if the disk is not writable.  "auto" is similar to "persistent"
           but the directory /var/log/journal is not created if needed, so 
           that its existence controls where log data goes.  "none" turns off 
           all storage, all log data received will be dropped.  Forwarding to 
           other targets, such as the console, the kernel log buffer or a 
           syslog daemon will still work however. Defaults to "auto".

So if we edit the /etc/systemd/journald.conf file and set:

       Storage=volatile

then the /var/log/journal directory won't be used any more. Of course, the directory will be re-created every time you update the systemd rpm, but it won't be used by the "systemd-journald" service. 

I suppose that another alternative to stop using the /var/log/journal directory is by disabling the "systemd-journald" service:

    systemctl disable systemd-journald.service

Probably both alternatives can fix the problem forever, but they require the
user to change things by hand. So I think the problem should be investigated: Why the system boots slowly sometimes with the default config? Perhaps because /var/log/journald grows too much? Should there be a max size for /var/log/journald by default? Should the "Storage=volatile" option be set by default?
Comment 7 Brent R Brian 2014-07-07 08:58:48 EDT
looks like systemd regression ... this problem WAS fixed for a long time.

Hangs on boot, delete contents of /var/log/journal stops hang and greatly speeds up boot.
Comment 8 Jim Haynes 2014-07-11 11:27:43 EDT
No doubt this is the bug I'm having too, which I reported incorrectly under
bug 1028705
Comment 9 Jim Haynes 2014-07-11 11:56:38 EDT
I can confirm that renaming /var/log/journal clears up the problem.

Also I had previously discovered that pressing ESC as the balloon is
inflating will allow it to come up normally.
Comment 10 Fdor 2014-07-18 07:58:21 EDT
I have discovered that, by setting "Storage=volatile" at "/etc/systemd/journald.conf", not only the boot process is fine and fast, all the operating system is faster. For example, when opening additional pages/tabs at firefox, they are loaded faster.

In other words, setting "Storage=volatile" is like a "turbo boost" button, that converts my 7 years old computer into a 4 years old one. The default setting makes the computer slower.

Perhaps the default setting is less noticeable in modern computers, with multi-core processors and company. I suggest to add the "Storage=volatile" setting to a Fedora list of recommended settings for old computers. Does the list exist?
Comment 11 Linus Walleij 2015-04-21 14:54:24 EDT
Are you using BTRFS for any of the default mounts? (Check /etc/fstab)

If that is the case you are seeing bug 1187106.
Comment 12 Jim Haynes 2015-04-21 15:31:45 EDT
Not using BTRFS - however this bug is so old and I'm now running F21 on
everything, so it's no longer of interest.  I guess I used the work-around
of removing or renaming the journal file.
Comment 13 Tad Bilby 2015-04-21 22:17:55 EDT
yes, I have a BTRFS mount.  I haven't had the problem recently with 3.19.2-201.fc21.x86_64 #1 SMP.
Comment 14 Brent R Brian 2015-04-22 07:46:23 EDT
ext3 on / and /home
Comment 15 Tad Bilby 2015-04-22 20:44:11 EDT
/dev/mapper/vg-lv00 on / type ext4 (rw,relatime,seclabel,data=ordered)
/dev/sda8 on /space3 type ext4 (rw,relatime,seclabel,data=ordered)
/dev/sda1 on /boot type ext4 (rw,relatime,seclabel,data=ordered)
/dev/sda6 on /space4 type ext3 (rw,relatime,seclabel,data=ordered)
/dev/sda9 on /space5 type btrfs (rw,relatime,seclabel,space_cache)
/dev/sda5 on /space type ext4 (rw,relatime,seclabel,data=ordered)
/dev/sda7 on /space2 type ext4 (rw,relatime,seclabel,data=ordered)
Comment 16 Fedora End Of Life 2015-05-29 07:09:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 15:17:21 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.